public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-libs/minizip-ng/files/, sys-libs/minizip-ng/
@ 2023-03-16 23:51 Sam James
  0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2023-03-16 23:51 UTC (permalink / raw
  To: gentoo-commits

commit:     182532a4df6a52289d409afbedef06e4b1670502
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 16 23:38:18 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 16 23:50:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=182532a4

sys-libs/minizip-ng: add 3.0.9

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-libs/minizip-ng/Manifest                       |  1 +
 .../minizip-ng/files/minizip-3.0.9-strdup.patch    | 37 +++++++++
 sys-libs/minizip-ng/minizip-ng-3.0.9.ebuild        | 97 ++++++++++++++++++++++
 3 files changed, 135 insertions(+)

diff --git a/sys-libs/minizip-ng/Manifest b/sys-libs/minizip-ng/Manifest
index 78b2c05e7c58..beeafcaea8bb 100644
--- a/sys-libs/minizip-ng/Manifest
+++ b/sys-libs/minizip-ng/Manifest
@@ -1,2 +1,3 @@
 DIST minizip-ng-3.0.7.tar.gz 643065 BLAKE2B e7026a5cc54fac6eba6fd1e79f8d53474966999aec1c24c70ff2207b93314f1e1cf5360841570ace66a30d6178f0057428757c7ba9b2d4bb14feb397142dedcb SHA512 01805ec955514efca32f4beb0e1241e94591d7d1d6119036c55d898a595de038bb18b8a2ffe5dab13101a890d14485aaefdf81680a7c60aa4ab3fd9de63ee991
 DIST minizip-ng-3.0.8.tar.gz 643788 BLAKE2B aa937fe8d0e776c8a00754c7a5eae7769b096d044a1b65b124adc0531b757579d8e0e0f5a4784669d9d94a7ea512625160b8b02f908a29e027f31911adf0f524 SHA512 f9742c5fc54ac08d78d7e942e90a7e7f1bc40a2812e7555570bd152ed441dbc5a004b79d2edf32d3fbda64db493cd1a0512d16deb84c0791d3fc86718e9ad0b1
+DIST minizip-ng-3.0.9.tar.gz 646390 BLAKE2B ba823e371dd65788404c8628d1e3de74d28bb86a378eb19b2f9636d96b402e43831238a5296d22febe46c58f2e340d8439ad4117db513b949c9cd99a32fa5df6 SHA512 a52c43d0e208eb6acf56f80804fe99c265baec2a60f6cd80fc9ba160ca3c076e6c118be9108db84728310b14640cab0e0d301d4c763713c90bd344990a43f5fd

diff --git a/sys-libs/minizip-ng/files/minizip-3.0.9-strdup.patch b/sys-libs/minizip-ng/files/minizip-3.0.9-strdup.patch
new file mode 100644
index 000000000000..9cb1dd991b17
--- /dev/null
+++ b/sys-libs/minizip-ng/files/minizip-3.0.9-strdup.patch
@@ -0,0 +1,37 @@
+https://github.com/zlib-ng/minizip-ng/pull/682
+
+From 5aaa8bf0c348a27d9a7a0d82d4af26748278828c Mon Sep 17 00:00:00 2001
+From: Sam James <sam@gentoo.org>
+Date: Thu, 16 Mar 2023 23:35:34 +0000
+Subject: [PATCH] CMake: set newer POSIX_C_SOURCE
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Enable POSIX 2008 as it's needed for strdup(), otherwise we get:
+```
+/var/tmp/portage/sys-libs/minizip-ng-3.0.9/work/minizip-ng-3.0.9/mz_os.c: In function ‘mz_dir_make’:
+/var/tmp/portage/sys-libs/minizip-ng-3.0.9/work/minizip-ng-3.0.9/mz_os.c:286:19: error: implicit declaration of function ‘strdup’ [-Werror=implicit-function-declaration]
+  286 |     current_dir = strdup(path);
+      |                   ^~~~~~
+```
+
+The man page for strdup says:
+```
+strdup():
+	_XOPEN_SOURCE >= 500
+	|| /* Since glibc 2.12: */ _POSIX_C_SOURCE >= 200809L
+	|| /* glibc <= 2.19: */ _BSD_SOURCE || _SVID_SOURCE
+```
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -455,7 +455,7 @@ endif()
+ 
+ # Unix specific
+ if(UNIX)
+-    list(APPEND STDLIB_DEF -D_POSIX_C_SOURCE=200112L)
++    list(APPEND STDLIB_DEF -D_POSIX_C_SOURCE=200809L)
+     list(APPEND MINIZIP_SRC mz_os_posix.c mz_strm_os_posix.c)
+ 
+     if(MZ_PKCRYPT OR MZ_WZAES OR MZ_SIGNING)
+

diff --git a/sys-libs/minizip-ng/minizip-ng-3.0.9.ebuild b/sys-libs/minizip-ng/minizip-ng-3.0.9.ebuild
new file mode 100644
index 000000000000..9817a6cb9ba6
--- /dev/null
+++ b/sys-libs/minizip-ng/minizip-ng-3.0.9.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Worth keeping an eye on 'develop' branch upstream for possible backports,
+# as they copied this practice from sys-libs/zlib upstream.
+
+inherit cmake
+
+DESCRIPTION="Fork of the popular zip manipulation library found in the zlib distribution"
+HOMEPAGE="https://github.com/zlib-ng/minizip-ng"
+SRC_URI="https://github.com/zlib-ng/minizip-ng/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="compat openssl test zstd"
+RESTRICT="!test? ( test )"
+
+# Automagically prefers sys-libs/zlib-ng if installed, so let's
+# just depend on it as presumably it's better tested anyway.
+RDEPEND="
+	app-arch/bzip2
+	app-arch/xz-utils
+	sys-libs/zlib-ng
+	virtual/libiconv
+	compat? ( !sys-libs/zlib[minizip] )
+	openssl? ( dev-libs/openssl:= )
+	zstd? ( app-arch/zstd:= )
+"
+DEPEND="
+	${RDEPEND}
+	test? ( dev-cpp/gtest )
+"
+
+PATCHES=(
+	"${FILESDIR}"/minizip-3.0.9-strdup.patch
+)
+
+src_configure() {
+	local mycmakeargs=(
+		-DMZ_COMPAT=$(usex compat)
+
+		-DMZ_BUILD_TESTS=$(usex test)
+		-DMZ_BUILD_UNIT_TESTS=$(usex test)
+
+		-DMZ_FETCH_LIBS=OFF
+		-DMZ_FORCE_FETCH_LIBS=OFF
+
+		# Compression library options
+		-DMZ_ZLIB=ON
+		-DMZ_BZIP2=ON
+		-DMZ_LZMA=ON
+		-DMZ_ZSTD=$(usex zstd)
+		-DMZ_LIBCOMP=OFF
+
+		# Encryption support options
+		-DMZ_PKCRYPT=ON
+		-DMZ_WZAES=ON
+		-DMZ_OPENSSL=$(usex openssl)
+		-DMZ_LIBBSD=ON
+		-DMZ_SIGNING=ON
+
+		# Character conversion options
+		-DMZ_ICONV=ON
+	)
+
+	cmake_src_configure
+}
+
+src_test() {
+	local myctestargs=(
+		# TODO: investigate
+		-E "(raw-unzip-pkcrypt|raw-append-unzip-pkcrypt|raw-erase-unzip-pkcrypt|deflate-unzip-pkcrypt|deflate-append-unzip-pkcrypt|deflate-erase-unzip-pkcrypt|bzip2-unzip-pkcrypt|bzip2-append-unzip-pkcrypt|bzip2-erase-unzip-pkcrypt|lzma-unzip-pkcrypt|lzma-append-unzip-pkcrypt|lzma-erase-unzip-pkcrypt|xz-unzip-pkcrypt|xz-append-unzip-pkcrypt|xz-erase-unzip-pkcrypt|zstd-unzip-pkcrypt|zstd-append-unzip-pkcrypt|zstd-erase-unzip-pkcrypt)"
+	)
+
+	# TODO: A bunch of tests end up looping and writing over each other's files
+	# It gets better with a patch applied (see https://github.com/zlib-ng/minizip-ng/issues/623#issuecomment-1264518994)
+	# but still hangs.
+	cmake_src_test -j1
+}
+
+src_install() {
+	cmake_src_install
+
+	if use test ; then
+		# Test binaries, bug #874591
+		rm "${ED}"/usr/bin/minigzip || die
+		rm "${ED}"/usr/bin/minizip-ng || die
+	fi
+
+	if use compat ; then
+		ewarn "minizip-ng is experimental and replacing the system zlib[minizip] is dangerous"
+		ewarn "Please be careful!"
+	fi
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-libs/minizip-ng/files/, sys-libs/minizip-ng/
@ 2024-01-02  6:54 Sam James
  0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2024-01-02  6:54 UTC (permalink / raw
  To: gentoo-commits

commit:     ffe4702fe5c012030497cc11adfdbcd09f692262
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  2 06:44:48 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan  2 06:44:48 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffe4702f

sys-libs/minizip-ng: add 4.0.4

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-libs/minizip-ng/Manifest                       |  1 +
 .../files/minizip-ng-4.0.4-libbsd-overlay.patch    | 16 ++++
 sys-libs/minizip-ng/minizip-ng-4.0.4.ebuild        | 97 ++++++++++++++++++++++
 3 files changed, 114 insertions(+)

diff --git a/sys-libs/minizip-ng/Manifest b/sys-libs/minizip-ng/Manifest
index 665aa819f66b..e3b86ae5804a 100644
--- a/sys-libs/minizip-ng/Manifest
+++ b/sys-libs/minizip-ng/Manifest
@@ -1,3 +1,4 @@
 DIST minizip-ng-4.0.1.tar.gz 769661 BLAKE2B 30147d8643844d9ea10f3f860d41e5025b2c8a5e3bb197722cf3e9ea3d30f40d78974a437425df660db777d9593db9e39b2293db7733ccfaf50c5eba4982a6fe SHA512 857450c3a51a75269afdffdcbaaa6d05894913dd98a91e307129b5e61766f6e3d20bca5841afa41bbe6ca88ad0666c462079a5e1fe73718c2dffd05219c8f258
 DIST minizip-ng-4.0.2.tar.gz 769745 BLAKE2B 7e983169d637e0b94ad6f0c7ceca743fcc54fe1c2f98bae9cb4e9050fe85cb2d46d36cb185d5eb7c0b577d606d9eedfecc3817048b3e7006287fa5e001bed4a5 SHA512 4e626a312c35e5f003e4f365261ef3e1bf33488f8698ec31b1b33d32f6a34ed0b54f0e3ffdae658e5b441532dde3cee45c3822532f52e68ea588e809e8f4081c
 DIST minizip-ng-4.0.3.tar.gz 770041 BLAKE2B a5772de8a372738fc1736a5ba307928ebf50ce9de26c845beb0798b2593662a0d990b8ad305238086eea11ad4aba2d7db2a5386d6ca65968bfd40f1fa573e693 SHA512 96d1a5ac1106f737f4db161867a440c272b65c617add30aa0224215abba8098ece9f2bde5c4e407932d0fa5d3ca8696a1db82b5a19ce7ffd8019dba83ab5fd01
+DIST minizip-ng-4.0.4.tar.gz 770202 BLAKE2B 5b9f4a66325de4298db0f7cdb8830050fe55c46c3914f51d7e7c4fe4cd9e080ab9658739dc936da602d67199333b6eca71218ad155244b9c04f50944486a02b1 SHA512 2662ddf90666babe73474f6fc48f5a64f276d555b7a0f04f790b9edef570cb958356e900632c3795fb2053f4813c449240ff101d32b063eca4ad869bef0546fd

diff --git a/sys-libs/minizip-ng/files/minizip-ng-4.0.4-libbsd-overlay.patch b/sys-libs/minizip-ng/files/minizip-ng-4.0.4-libbsd-overlay.patch
new file mode 100644
index 000000000000..2a62f96f1413
--- /dev/null
+++ b/sys-libs/minizip-ng/files/minizip-ng-4.0.4-libbsd-overlay.patch
@@ -0,0 +1,16 @@
+https://bugs.gentoo.org/889266
+https://gitlab.freedesktop.org/libbsd/libbsd/-/issues/15
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -538,10 +538,10 @@ else()
+ 
+                     if(HAVE_LIBBSD_ARC4RANDOM_BUF)
+                         list(APPEND MINIZIP_DEF -DHAVE_LIBBSD -DHAVE_ARC4RANDOM_BUF)
+-                        list(APPEND MINIZIP_INC ${LIBBSD_INCLUDE_DIRS})
+                         list(APPEND MINIZIP_LIB ${LIBBSD_LIBRARIES})
+                         list(APPEND MINIZIP_LBD ${LIBBSD_LIBRARY_DIRS})
+ 
++                        add_compile_options(${LIBBSD_CFLAGS})
+                         link_directories(${LIBBSD_LIBRARY_DIRS})
+                     endif()
+                 else()

diff --git a/sys-libs/minizip-ng/minizip-ng-4.0.4.ebuild b/sys-libs/minizip-ng/minizip-ng-4.0.4.ebuild
new file mode 100644
index 000000000000..d23ad9d63cb9
--- /dev/null
+++ b/sys-libs/minizip-ng/minizip-ng-4.0.4.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Worth keeping an eye on 'develop' branch upstream for possible backports,
+# as they copied this practice from sys-libs/zlib upstream.
+
+inherit cmake-multilib
+
+DESCRIPTION="Fork of the popular zip manipulation library found in the zlib distribution"
+HOMEPAGE="https://github.com/zlib-ng/minizip-ng"
+SRC_URI="https://github.com/zlib-ng/minizip-ng/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0/4"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="compat openssl test zstd"
+RESTRICT="!test? ( test )"
+
+# Automagically prefers sys-libs/zlib-ng if installed, so let's
+# just depend on it as presumably it's better tested anyway.
+RDEPEND="
+	app-arch/bzip2[${MULTILIB_USEDEP}]
+	app-arch/xz-utils
+	dev-libs/libbsd[${MULTILIB_USEDEP}]
+	sys-libs/zlib-ng[${MULTILIB_USEDEP}]
+	virtual/libiconv
+	compat? ( !sys-libs/zlib[minizip] )
+	openssl? ( dev-libs/openssl:=[${MULTILIB_USEDEP}] )
+	zstd? ( app-arch/zstd:=[${MULTILIB_USEDEP}] )
+"
+DEPEND="
+	${RDEPEND}
+	test? ( dev-cpp/gtest )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.0.4-libbsd-overlay.patch
+)
+
+multilib_src_configure() {
+	local mycmakeargs=(
+		-DMZ_COMPAT=$(usex compat)
+
+		-DMZ_BUILD_TESTS=$(usex test)
+		-DMZ_BUILD_UNIT_TESTS=$(usex test)
+
+		-DMZ_FETCH_LIBS=OFF
+		-DMZ_FORCE_FETCH_LIBS=OFF
+
+		# Compression library options
+		-DMZ_ZLIB=ON
+		-DMZ_BZIP2=ON
+		-DMZ_LZMA=ON
+		-DMZ_ZSTD=$(usex zstd)
+		-DMZ_LIBCOMP=OFF
+
+		# Encryption support options
+		-DMZ_PKCRYPT=ON
+		-DMZ_WZAES=ON
+		-DMZ_OPENSSL=$(usex openssl)
+		-DMZ_LIBBSD=ON
+
+		# Character conversion options
+		-DMZ_ICONV=ON
+	)
+
+	cmake_src_configure
+}
+
+multilib_src_test() {
+	local myctestargs=(
+		# TODO: investigate
+		-E "(raw-unzip-pkcrypt|raw-append-unzip-pkcrypt|raw-erase-unzip-pkcrypt|deflate-unzip-pkcrypt|deflate-append-unzip-pkcrypt|deflate-erase-unzip-pkcrypt|bzip2-unzip-pkcrypt|bzip2-append-unzip-pkcrypt|bzip2-erase-unzip-pkcrypt|lzma-unzip-pkcrypt|lzma-append-unzip-pkcrypt|lzma-erase-unzip-pkcrypt|xz-unzip-pkcrypt|xz-append-unzip-pkcrypt|xz-erase-unzip-pkcrypt|zstd-unzip-pkcrypt|zstd-append-unzip-pkcrypt|zstd-erase-unzip-pkcrypt)"
+	)
+
+	# TODO: A bunch of tests end up looping and writing over each other's files
+	# It gets better with a patch applied (see https://github.com/zlib-ng/minizip-ng/issues/623#issuecomment-1264518994)
+	# but still hangs.
+	cmake_src_test -j1
+}
+
+multilib_src_install_all() {
+	if ! use compat && use test ; then
+		# Test binaries, bug #874591
+		rm "${ED}"/usr/bin/minigzip || die
+		rm "${ED}"/usr/bin/minizip-ng || die
+	fi
+}
+
+pkg_postinst() {
+	if use compat ; then
+		ewarn "minizip-ng is experimental and replacing the system zlib[minizip] is dangerous"
+		ewarn "Please be careful!"
+	fi
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-libs/minizip-ng/files/, sys-libs/minizip-ng/
@ 2024-03-04 10:24 Sam James
  0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2024-03-04 10:24 UTC (permalink / raw
  To: gentoo-commits

commit:     a8cc2594a53fb360a7494e30a79b5a67908c2790
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  4 10:18:51 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar  4 10:23:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8cc2594

sys-libs/minizip-ng: drop 4.0.3

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-libs/minizip-ng/Manifest                       |  1 -
 .../files/minizip-ng-4.0.3-libbsd-overlay.patch    | 16 ----
 sys-libs/minizip-ng/minizip-ng-4.0.3.ebuild        | 97 ----------------------
 3 files changed, 114 deletions(-)

diff --git a/sys-libs/minizip-ng/Manifest b/sys-libs/minizip-ng/Manifest
index 3f5a6a60e99d..98c8a16c5a21 100644
--- a/sys-libs/minizip-ng/Manifest
+++ b/sys-libs/minizip-ng/Manifest
@@ -1,2 +1 @@
-DIST minizip-ng-4.0.3.tar.gz 770041 BLAKE2B a5772de8a372738fc1736a5ba307928ebf50ce9de26c845beb0798b2593662a0d990b8ad305238086eea11ad4aba2d7db2a5386d6ca65968bfd40f1fa573e693 SHA512 96d1a5ac1106f737f4db161867a440c272b65c617add30aa0224215abba8098ece9f2bde5c4e407932d0fa5d3ca8696a1db82b5a19ce7ffd8019dba83ab5fd01
 DIST minizip-ng-4.0.4.tar.gz 770202 BLAKE2B 5b9f4a66325de4298db0f7cdb8830050fe55c46c3914f51d7e7c4fe4cd9e080ab9658739dc936da602d67199333b6eca71218ad155244b9c04f50944486a02b1 SHA512 2662ddf90666babe73474f6fc48f5a64f276d555b7a0f04f790b9edef570cb958356e900632c3795fb2053f4813c449240ff101d32b063eca4ad869bef0546fd

diff --git a/sys-libs/minizip-ng/files/minizip-ng-4.0.3-libbsd-overlay.patch b/sys-libs/minizip-ng/files/minizip-ng-4.0.3-libbsd-overlay.patch
deleted file mode 100644
index 2fb884161a5a..000000000000
--- a/sys-libs/minizip-ng/files/minizip-ng-4.0.3-libbsd-overlay.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-https://bugs.gentoo.org/889266
-https://gitlab.freedesktop.org/libbsd/libbsd/-/issues/15
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -538,10 +538,10 @@ else()
- 
-                     if(HAVE_LIBBSD_ARC4RANDOM_BUF)
-                         list(APPEND MINIZIP_DEF -DHAVE_LIBBSD -DHAVE_ARC4RANDOM_BUF)
--                        list(APPEND MINIZIP_INC ${LIBBSD_INCLUDE_DIRS})
-                         list(APPEND MINIZIP_LIB ${LIBBSD_LIBRARIES})
-                         list(APPEND MINIZIP_LBD ${LIBBSD_LIBRARY_DIRS})
- 
-+                        add_compile_options(${LIBBSD_CFLAGS})
-                         link_directories(${LIBBSD_LIBRARY_DIRS})
-                     endif()
-                 else()

diff --git a/sys-libs/minizip-ng/minizip-ng-4.0.3.ebuild b/sys-libs/minizip-ng/minizip-ng-4.0.3.ebuild
deleted file mode 100644
index b67dd2d9534c..000000000000
--- a/sys-libs/minizip-ng/minizip-ng-4.0.3.ebuild
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# Worth keeping an eye on 'develop' branch upstream for possible backports,
-# as they copied this practice from sys-libs/zlib upstream.
-
-inherit cmake-multilib
-
-DESCRIPTION="Fork of the popular zip manipulation library found in the zlib distribution"
-HOMEPAGE="https://github.com/zlib-ng/minizip-ng"
-SRC_URI="https://github.com/zlib-ng/minizip-ng/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0/4"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
-IUSE="compat openssl test zstd"
-RESTRICT="!test? ( test )"
-
-# Automagically prefers sys-libs/zlib-ng if installed, so let's
-# just depend on it as presumably it's better tested anyway.
-RDEPEND="
-	app-arch/bzip2[${MULTILIB_USEDEP}]
-	app-arch/xz-utils
-	dev-libs/libbsd[${MULTILIB_USEDEP}]
-	sys-libs/zlib-ng[${MULTILIB_USEDEP}]
-	virtual/libiconv
-	compat? ( !sys-libs/zlib[minizip] )
-	openssl? ( dev-libs/openssl:=[${MULTILIB_USEDEP}] )
-	zstd? ( app-arch/zstd:=[${MULTILIB_USEDEP}] )
-"
-DEPEND="
-	${RDEPEND}
-	test? ( dev-cpp/gtest )
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-4.0.3-libbsd-overlay.patch
-)
-
-multilib_src_configure() {
-	local mycmakeargs=(
-		-DMZ_COMPAT=$(usex compat)
-
-		-DMZ_BUILD_TESTS=$(usex test)
-		-DMZ_BUILD_UNIT_TESTS=$(usex test)
-
-		-DMZ_FETCH_LIBS=OFF
-		-DMZ_FORCE_FETCH_LIBS=OFF
-
-		# Compression library options
-		-DMZ_ZLIB=ON
-		-DMZ_BZIP2=ON
-		-DMZ_LZMA=ON
-		-DMZ_ZSTD=$(usex zstd)
-		-DMZ_LIBCOMP=OFF
-
-		# Encryption support options
-		-DMZ_PKCRYPT=ON
-		-DMZ_WZAES=ON
-		-DMZ_OPENSSL=$(usex openssl)
-		-DMZ_LIBBSD=ON
-
-		# Character conversion options
-		-DMZ_ICONV=ON
-	)
-
-	cmake_src_configure
-}
-
-multilib_src_test() {
-	local myctestargs=(
-		# TODO: investigate
-		-E "(raw-unzip-pkcrypt|raw-append-unzip-pkcrypt|raw-erase-unzip-pkcrypt|deflate-unzip-pkcrypt|deflate-append-unzip-pkcrypt|deflate-erase-unzip-pkcrypt|bzip2-unzip-pkcrypt|bzip2-append-unzip-pkcrypt|bzip2-erase-unzip-pkcrypt|lzma-unzip-pkcrypt|lzma-append-unzip-pkcrypt|lzma-erase-unzip-pkcrypt|xz-unzip-pkcrypt|xz-append-unzip-pkcrypt|xz-erase-unzip-pkcrypt|zstd-unzip-pkcrypt|zstd-append-unzip-pkcrypt|zstd-erase-unzip-pkcrypt)"
-	)
-
-	# TODO: A bunch of tests end up looping and writing over each other's files
-	# It gets better with a patch applied (see https://github.com/zlib-ng/minizip-ng/issues/623#issuecomment-1264518994)
-	# but still hangs.
-	cmake_src_test -j1
-}
-
-multilib_src_install_all() {
-	if ! use compat && use test ; then
-		# Test binaries, bug #874591
-		rm "${ED}"/usr/bin/minigzip || die
-		rm "${ED}"/usr/bin/minizip-ng || die
-	fi
-}
-
-pkg_postinst() {
-	if use compat ; then
-		ewarn "minizip-ng is experimental and replacing the system zlib[minizip] is dangerous"
-		ewarn "Please be careful!"
-	fi
-}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2024-03-04 10:24 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-03-04 10:24 [gentoo-commits] repo/gentoo:master commit in: sys-libs/minizip-ng/files/, sys-libs/minizip-ng/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-01-02  6:54 Sam James
2023-03-16 23:51 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox